document-understanding
latest
false
  • Getting Started
    • Overview
    • Limits and Quota
    • Migrating automations from Document Understanding API v1 to v2
  • Examples Using the Document Understanding™ Cloud API
  • Licensing
  • Troubleshooting
UiPath logo, featuring letters U and I in white

Document Understanding API Guide

Last updated Feb 24, 2026

Get the extraction request

Tip: For detailed information on the response schema, check the Requests response schemas page. There you can find more information on the request status and other field.

Get the extracting fields from a document

Use the operationID previously received in the POST call response.
Tip: The Project ID is obtained from the response received from the Get project information call.
curl -X 'GET' \ 'https://cloud.uipath.com/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \ 
-H 'accept: text/plain' \ 
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'curl -X 'GET' \ 'https://cloud.uipath.com/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \ 
-H 'accept: text/plain' \ 
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'

Get the response of extracting fields from a document

This example has been trimmed down for readability purposes.

{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated